/**
 * Load and Display a Shape. 
 * Illustration by George Brower. 
 * 
 * The loadShape() command is used to read simple SVG (Scalable Vector Graphics)
 * files and OBJ (Object) files into a Processing sketch. This example loads an
 * SVG file of a monster robot face and displays it to the screen. 
 */

PShape bot;

void setup() {
  size(640, 480);
  // The file "bot1.svg" must be in the data folder
  // of the current sketch to load successfully
  bot = loadShape("bot1.svg");
} 

void draw(){
  background(102);
  int w = 100, h=100;
  if(mouseX > 100) w = mouseX;
  if(mouseY > 100) h = mouseY;
  shape(bot, 280, 40);            // Draw at coordinate (280, 40) at the default size
  shape(bot, 60, 40, w, h);  // Draw at coordinate (110, 90) at size 100 x 100
}
